Get Infra Requirement Params

Get Infra Requirement Params

Get Infrastructure Requirements Parameters

Request
URI
POST
https://{api_host}/tca/caas/api/v1/params/query
COPY
Request Body
infraRequirementsFilter of type(s) application/json
Required
{
    "filter": {
        "section": [
            "string"
        ]
    }
}
object
filter
Optional

filter

Authentication
This operation uses the following authentication methods.
Responses
200

Get Infrastructure Requirements Parameters

Returns infraRequirementParams of type(s) application/json
{
    "kernel_type": [
        {
            "name": "string",
            "version": [
                {
                    "kernelVersion": "string",
                    "supportedDpdkVersions": [
                        "string"
                    ]
                }
            ]
        }
    ],
    "kernel_modules": [
        {
            "name": "string",
            "version": [
                "string"
            ]
        }
    ],
    "custom_packages": [
        {
            "name": "string",
            "version": [
                "string"
            ]
        }
    ],
    "passthrough_devices": [
        {
            "device_type": "string",
            "pf_group": [
                "string"
            ]
        }
    ],
    "network_devices": [
        {
            "deviceType": "string",
            "dpdkBinding": [
                "string"
            ]
        }
    ],
    "services": [
        {
            "name": "string"
        }
    ]
}
array of object
kernel_type
Optional

List of kernel type, kernel version and supported DPDK versions

array of object
kernel_modules
Optional

List of kernel modules

array of object
custom_packages
Optional

List of custom packages

array of object
passthrough_devices
Optional

List of passthrough devices

array of object
network_devices
Optional

network_devices

array of object
services
Optional

List of systemd services